Win 98 with Python 2.5--matplotlib and Numpy problem

W. eWatson notvalid2 at sbcglobal.net
Mon Nov 17 05:29:23 CET 2008


I'm trying to figure out why an application that both myself and a colleague 
  use gives errors when he uses it under W98. I'm using XP. Py 2.5 is 
installed on each of our machines. His first problem came with matplotlib 
that pointed to the "from pylab ..." line below. The message ended with
" ... from matplotlib.path: import affine_transform.
Import Error. One of the library functions needed to run this application 
could not be found."

I told him to remark the line
    from pylab import plot, xlabel, ylabel, title, show, xticks, bar

My thinking was that he need not use any of the new plot facilities in the 
app. That seemed to do the trick, but then he encountered a msg that said:

Assertion failed in PROGRAN 2008/NUMPY-1.20-Win32K Superpack
...
Press Retry to Debug the application. JT must be enabled.

Clearly things have gone astray. Is numpy somehow not compatible with PY 2.5?

-- 
                                W. eWatson

              (121.015 Deg. W, 39.262 Deg. N) GMT-8 hr std. time)
               Obz Site:  39° 15' 7" N, 121° 2' 32" W, 2700 feet

                     Web Page: <www.speckledwithstars.net/>




More information about the Python-list mailing list